id3dev 26.01 An ID3 metadata library

Loading...
Searching...
No Matches
_Id3v2ExtendedTagHeader Struct Reference

Optional ID3v2 extended header containing supplementary tag metadata. More...

`#include <id3v2Types.h>`

## Data Fields
uint32_t | padding
| Size of the extended header as either a 32-bit integer or syncsafe integer depending on version.
uint32_t | crc
| CRC-32 checksum of the tag's audio data for integrity verification.
bool | update
| Indicates this tag is an update to a previous tag (ID3v2.4 only)
bool | tagRestrictions
| Indicates whether tag restrictions are applied.
uint8_t | restrictions
| Bitfield defining tag restrictions in format ppqrrstt (ID3v2.4 only).

## Detailed Description

Optional ID3v2 extended header containing supplementary tag metadata.

Provides additional information about tag structure including CRC validation, update flags, and content restrictions. Not required for basic tag parsing. Present in ID3v2.3 and ID3v2.4 when extended header flag is set.

Definition at line 84 of file id3v2Types.h.

## Field Documentation

## ◆ crc

uint32_t _Id3v2ExtendedTagHeader::crc

CRC-32 checksum of the tag's audio data for integrity verification.

Definition at line 89 of file id3v2Types.h.

## ◆ padding

uint32_t _Id3v2ExtendedTagHeader::padding

Size of the extended header as either a 32-bit integer or syncsafe integer depending on version.

Definition at line 86 of file id3v2Types.h.

## ◆ restrictions

uint8_t _Id3v2ExtendedTagHeader::restrictions

Bitfield defining tag restrictions in format ppqrrstt (ID3v2.4 only).

pp = Tag size restrictions, q = Text encoding restrictions, rr = Text field size restrictions, s = Image encoding restrictions, tt = Image size restrictions.

Definition at line 102 of file id3v2Types.h.

## ◆ tagRestrictions

bool _Id3v2ExtendedTagHeader::tagRestrictions

Indicates whether tag restrictions are applied.

Definition at line 95 of file id3v2Types.h.

## ◆ update

bool _Id3v2ExtendedTagHeader::update

Indicates this tag is an update to a previous tag (ID3v2.4 only)

Definition at line 92 of file id3v2Types.h.

The documentation for this struct was generated from the following file:

- /Users/ewanjones/projects/id3dev/include/id3v2/id3v2Types.h